import { CollapseProps } from './interface';
import './style/index.css';
export declare const Collapse: import("solid-js").Component<Omit<CollapseProps, "style" | "class"> & {
    ref?: HTMLDivElement | ((el: HTMLDivElement) => void);
    style?: string | import("solid-js").JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
